# renderer-tutorial

This softwre aims to be an OpenGL renderer written in Haskell following the
OpenGL tutorial by The Cherno
(<https://www.youtube.com/playlist?list=PLlrATfBNZ98foTJPJ_Ev03o2oq3-GGOS2>).

## Important notes

There are some major deviations from the tutorial setup here as follows:

* Code base is entirely written in Haskell, not C++
* Instead of GLFW with GLEW I use SDL2 out of familiarity
* Shaders are actually split into files per type, since I'mn ot willing to
        unleash Haskell list magic
* Since I am using the OpenGL core profile from the start there is also a
        vertex array creation call present from the start.

I leave as many helpful comments as possible throughout the code, so feel free
to peruse it.
